SDL_waylandwindow.h File Reference
`#include "../../SDL_internal.h"`
`#include "../SDL_sysvideo.h"`
`#include "SDL_syswm.h"`
`#include "../../events/SDL_touch_c.h"`
`#include "SDL_waylandvideo.h"`
Include dependency graph for SDL_waylandwindow.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_zxdg_shell_surface
struct | SDL_xdg_shell_surface
struct | SDL_WindowData

## Functions

void | Wayland_ShowWindow (_THIS, SDL_Window *window)
void | Wayland_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *_display, SDL_bool fullscreen)
void | Wayland_MaximizeWindow (_THIS, SDL_Window *window)
void | Wayland_RestoreWindow (_THIS, SDL_Window *window)
void | Wayland_SetWindowBordered (_THIS, SDL_Window *window, SDL_bool bordered)
int | Wayland_CreateWindow (_THIS, SDL_Window *window)
void | Wayland_SetWindowSize (_THIS, SDL_Window *window)
void | Wayland_SetWindowTitle (_THIS, SDL_Window *window)
void | Wayland_DestroyWindow (_THIS, SDL_Window *window)
SDL_bool | Wayland_GetWindowWMInfo (_THIS, SDL_Window *window, SDL_SysWMinfo *info)
int | Wayland_SetWindowHitTest (SDL_Window *window, SDL_bool enabled)

## Function Documentation

## Wayland_CreateWindow()

int Wayland_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Wayland_DestroyWindow()

void Wayland_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Wayland_GetWindowWMInfo()

SDL_bool Wayland_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_SysWMinfo * | info
| ) |  |

## Wayland_MaximizeWindow()

void Wayland_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Wayland_RestoreWindow()

void Wayland_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Wayland_SetWindowBordered()

void Wayland_SetWindowBordered | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | bordered
| ) |  |

## Wayland_SetWindowFullscreen()

void Wayland_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | _display,
|  | SDL_bool | fullscreen
| ) |  |

## Wayland_SetWindowHitTest()

int Wayland_SetWindowHitTest | ( | SDL_Window * | window,
|  | SDL_bool | enabled
| ) |  |

## Wayland_SetWindowSize()

void Wayland_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Wayland_SetWindowTitle()

void Wayland_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Wayland_ShowWindow()

void Wayland_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |